"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var utils_1 = require("./utils");
var DatePipe = /** @class */ (function () {
    /**
     * 本管道用于格式化日期，缺省格式为yyyy-MM-dd,用法:
     * {{job.createTime | date:'yyyy-MM-dd hh:mm'}}
     */
    function DatePipe() {
    }
    DatePipe.prototype.transform = function (date, pattern) {
        if (date) {
            if (!pattern) {
                pattern = "yyyy-MM-dd";
            }
            return utils_1.Utils.formatDate(date, pattern);
        }
        else {
            return "";
        }
    };
    DatePipe = __decorate([
        core_1.Pipe({ name: 'date' })
        /**
         * 本管道用于格式化日期，缺省格式为yyyy-MM-dd,用法:
         * {{job.createTime | date:'yyyy-MM-dd hh:mm'}}
         */
    ], DatePipe);
    return DatePipe;
}());
exports.DatePipe = DatePipe;
//# sourceMappingURL=dateformat.pipe.js.map