export declare class FileDownloadComponent {
    fileUri: string;
    labelKey: string;
    fileDownloadRoot: string;
    fileTypes: {
        image: string[];
        word: string[];
        excel: string[];
        powerpoint: string[];
        audio: string[];
        video: string[];
        pdf: string[];
        text: string[];
        achive: string[];
        code: string[];
    };
    getLabel(): string;
    getFileExt(): string;
    getFileIcon(): string;
    /**
 * 生成下载链接。
 * @param uri 附件的相对路径
 */
    resolveDownloadUrl(uri: string): string;
}
