import { MessageService } from 'primeng/api';
export declare class MessageBoxComponent {
    private messageService;
    isRunning: boolean;
    constructor(messageService: MessageService);
    header: string;
    static lifeTimeMap: {
        "success": number;
        "info": number;
        "warn": number;
        "error": number;
    };
    showMessage(style: string, msg: string): void;
    showMessages(style: string, messages: string[]): void;
    clear(): void;
    getOffset(): any;
}
